#!/usr/bin/perl

# squidguard_form.cgi: Formulaire pour les bases de filtrage squidguard
# Version 1.1

# This script is part of the SLIS Project initiated by the CARMI-Internet
# (Acadmie de Grenoble - France 38).
# Ce script fait partie du projet SLIS dmarr par le CARMI-Internet
# (Acadmie de Grenoble - France 38).
#
# SLIS : Serveur de communications Linux pour l'Internet Scolaire.
# Copyright (C) 2000 Bruno Bzeznik
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#    You should have received a copy of the GNU General Public License
#    along with this program (For example ./COPYING);
#    if not, write to the Free Software Foundation, Inc., 675 Mass Ave,
#    Cambridge, MA 02139, USA.
#
# Please send all comments and bug reports by electronic mail to:
#   Bruno Bzeznik <Bruno@ac-grenoble.fr>
# or to <slis@ac-grenoble.fr>
#
# Envoyez vos suggestions et reports de bugs par e-mail 
#   Bruno Bzeznik <Bruno@ac-grenoble.fr>
# ou  <slis@ac-grenoble.fr>
#

do '/home/hadmin/slis.conf.pl';

use CGI ;
$html = new CGI ;
print $html->header ;

# Lecture de l'entete standard HTML
open (HEAD,"$ENTETE");
print <HEAD> ;
close HEAD ;

# Lecture des fichiers de la base
open (DB,"$BASE/squidguard_databases");
open (DOMAINS,"$BASE/perso_domains");
open (URLS,"$BASE/perso_urls");
open (EXPRESSIONS,"$BASE/perso_expressions");
open (A_DOMAINS,"$BASE/a_domains");
open (A_URLS,"$BASE/a_urls");
open (A_EXPRESSIONS,"$BASE/a_expressions");

$ip="checked";

while (<DB>) {
  chomp;
  if ($_ eq "allowed") {$allowed="checked"};
  if ($_ eq "all") {$all="checked"};
  if ($_ eq "adult") {$adult="checked"};
  if ($_ eq "warez") {$warez="checked"};
  if ($_ eq "academie") {$academie="checked"};
  if ($_ eq "publicite") {$publicite="checked"};
  if ($_ eq "forums") {$forums="checked"};
  if ($_ eq "perso") {$perso="checked"};
  if ($_ eq "no_ip") {$ip=""};
}
close DB;

# Affichage du formulaire
print "
<center><b><font face=Helvetica,Arial><font color=#009999><font
size=+2>Gestion
des adresses interdites.</font></font></font></b></center>
<p>
<table align=center width=90% bgcolor=CCCCCC>
<tr><td>
<center>
<p><font face=Helvetica,Arial>Vous avez la possibilit&eacute; d'interdire
certaines cat&eacute;gories de sites.</font>
<br><font face=Helvetica,Arial>Les cat&eacute;gories actuelles sont :</font>
<p><font face=Helvetica,Arial>ADULTES (Sites &agrave; caract&egrave;re
pornographiques)</font>
<br><font face=Helvetica,Arial>PIRATAGE (de logiciels commerciaux - WAREZ)</font>
<br><font face=Helvetica,Arial>FORUMS (CHAT et passerelle WEBMAIL
diverses)</font>
<br><font face=Helvetica,Arial>ACADEMIE (Suggestions de
la communaut&eacute; &eacute;ducative - vos suggestions)</font>
<br><font face=Helvetica,Arial>PUBLICITE (redirection de banni&egrave;res
de publicit&eacute;s)</font>
</center>
<p><font face=Helvetica,Arial>Ces bases de donn&eacute;es de sites interdits
sont mises &agrave; jour automatiquement chaque semaine par le SLIS dans
la nuit de Dimanche &agrave; Lundi.</font>
<p><font face=Helvetica,Arial>Vous pouvez aussi alimenter une base
PERSONNALISEE qui peut contenir des domaines, des urls et des mots clefs,
pour interdire
des sites manquants ou n'entrants pas les cat&eacute;gories pr&eacute;c&eacute;dentes.</font>
<p><font face=Helvetica,Arial>
La cat&eacute;gorie ADRESSES IP n'est pas une base, mais une r&egrave;gle
qui interdit toute URL contenant une adresse IP &agrave; la place du nom
de domaine. Nous vous conseillons de cocher cette case d&egrave;s que vous
avez activ&eacute; une base si vos &eacute;l&egrave;ves sont suffisament
malins pour trouver la ruse.</font>
<p><font face=Helvetica,Arial>Les bases maintenues par le SLIS ne peuvent
&eacute;videmment pas &ecirc;tre exhaustives, mais limitent d&eacute;j&agrave;
s&eacute;rieusement certaines cat&eacute;gories (en particulier la base
ADULTES).</font>
<br><font face=Helvetica,Arial>Si une tentative d'acc&egrave;s est effectu&eacute;e
vers une adresse interdite, l'utilisateur est imm&eacute;diatement redirig&eacute;
vers une page lui donnant quelques explications.</font>
<br><font face=Helvetica,Arial>Si vous deviez constater qu'un site est
bloqu&eacute; par ce proc&eacute;d&eacute; et qu'il s'agit d'une erreur
manifeste, signalez-le &agrave;</font> <a
href=mailto:slismaster\@ac-grenoble.fr>slismaster\@ac-grenoble.fr</a>
</td></tr>
</table>
<p>

<hr WIDTH=50%>
<p><center><font face=Helvetica,Arial>S&eacute;lectionnez les
cat&eacute;gories de sites que vous souhaitez
interdire.<br>
N'oubliez pas de cliquer sur OK en bas de cette page, puis de lancer une
validation.</font></center>
<p><form action=/cgi-bin/squidguard.cgi method=POST></center>

<center><table BORDER=0 align=center>
<tr>
<td><input TYPE=CheckBox NAME=all VALUE=1 $all></td>
<td><b><font face=helvetica,arial
color=#FF0000>TOUT</font></b></td>
<td>(Tout l'internet, sauf les sites d&eacute;finis par la base
AUTORISES ci-dessous)</td>
</tr>
<tr>
<td><input TYPE=CheckBox NAME=adult VALUE=1 $adult></td>
<td><b><font face=helvetica,arial color=#3333FF>ADULTES</font></b></td>
<td>(Sites &agrave; caract&egrave;res pornographiques)</td>
</tr>
<tr>
<td><input TYPE=CheckBox NAME=warez VALUE=1 $warez></td>
<td><b><font face=helvetica,arial color=#3333FF>PIRATAGE</font></b></td>
<td>(Piratage de logiciels commerciaux - Warez)</td>
</tr>
<tr>
<td><input TYPE=CheckBox NAME=forums VALUE=1 $forums></td>
<td><b><font face=helvetica,arial color=#3333FF>FORUMS</font></b></td>
<td>(Ensemble de sites proposant des m&egrave;ls gratuits, des
CHATs...)</td>
</tr>
<tr>
<td><input TYPE=CheckBox NAME=academie VALUE=1 $academie></td>
<td><b><font face=helvetica,arial color=#3333FF>ACADEMIE</font></b></td>
<td>(Ensemble de sites sugg&eacute;r&eacute;s par la communaut&eacute;
&eacute;ducative - vos suggestions)</td>
</tr>
<tr>
<td><input TYPE=CheckBox NAME=publicite VALUE=1 $publicite></td>
<td><b><font face=helvetica,arial color=#3333FF>PUBLICITES</font></b></td>
<td>(certaines banni&egrave;res publicitaires connues seront
remplac&eacute;es par une image locale)</td>
</tr>
<tr>
<td><input TYPE=CheckBox NAME=ip VALUE=1 $ip></td>
<td><b><font face=helvetica,arial color=#3333FF>ADRESSES IP</font></b></td>
<td>(Les urls contenant des adresses IP seront interdites)</td>
</tr>
<tr>
<td><input TYPE=CheckBox NAME=personnalisee VALUE=1 $perso></td>
<td><b><font face=helvetica,arial
color=#3333FF><i>PERSONNALISEE :</i></font></b></td>
<td><i>(base maintenue par vos soins, ci-dessous)</i></td>
</tr>
<tr><td colspan=3>
<table border=0 bgcolor=CCCCCC>
<tr><td>
<B>Domaines interdits&sup1;</B>
</td>
<td>
<B>URLS (liens) interdites&sup2;</B>
</td>
<td>
<B>Expressions interdites&sup3;</B>
</td>
<tr><td>
<textarea NAME=domains ROWS=5 COLS=20>";
print <DOMAINS>;
print"</textarea>
</td><td>
<textarea NAME=urls ROWS=5 COLS=20>";
print <URLS>;
print "</textarea>
</td><td>
<textarea NAME=expressions ROWS=5 COLS=20>";
while (<EXPRESSIONS>) {
  chomp;
  @expressions=split(/\(|\)|\|/,$_);
  foreach (@expressions) {
    chomp;
    print $_ ."\n";
  }
}  
print "</textarea>
</td>
</tr>
</table></center>
</td></tr>
<tr>
<td><input TYPE=CheckBox NAME=allowed VALUE=1 $allowed></td>
<td><b><font face=helvetica,arial
color=#009900><i>AUTORISES :</i></font></b></td>
<td><i>(Les sites ci-dessous seront tout de m&ecirc;me
autoris&eacute;s)</i></td>
</tr>
<tr><td colspan=3>
<table border=0 bgcolor=CCCCCC>
<tr><td>
<B>Domaines autoris&eacute;s&sup1;</B>
</td>
<td>
<B>URLS (liens) autoris&eacute;es&sup2;</B>
</td>
<td>
<B>Expressions autoris&eacute;es&sup3;</B>
</td>
<tr><td>
<textarea NAME=a_domains ROWS=5 COLS=20>";
print <A_DOMAINS>;
print"</textarea>
</td><td>
<textarea NAME=a_urls ROWS=5 COLS=20>";
print <A_URLS>;
print "</textarea>
</td><td>
<textarea NAME=a_expressions ROWS=5 COLS=20>";
while (<A_EXPRESSIONS>) {
  chomp;
  @expressions=split(/\(|\)|\|/,$_);
  foreach (@expressions) {
    chomp;
    print $_ ."\n";
  }
}  
print "</textarea>
</td>
</tr>
</table></center>
</td></tr>
</table>

</CENTER>

<center>
<p><input TYPE=submit NAME=name VALUE=OK><input type=reset value=RAZ></center>
<hr WIDTH=50%>
<p>
<FONT SIZE=-1>

<B>1: Domaines</B>: Dans cette colonne, entrez des domaines. 
(exemple: playboy.com) - <font
color=#FF0000>un domaine par ligne</font>
<br>
<B>2: URLS (liens)</B>: Dans cette colonne, entrez des URL (exemple
: domain.com/repertoire/). NE METTEZ PAS LE DEBUT IMPLICITE
\"http://www\". Par exemple, si vous voulez bloquer
\"http://www.ac-grenoble.fr/slis\", mettez uniquement
\"ac-grenoble.fr/slis\". Par contre, vous pouvez mettre
\"slis.ac-grenoble.fr\" pour bloquer \"http://slis.ac-grenoble.fr\" -
<font color=#FF0000>une URL par ligne</font> <br>
<B>3: Expressions</B>: Indiquez une
s&eacute;rie de mots clefs pouvant &ecirc;tres contenus dans les adresses
de sites (exemple: mp3) - <font color=#FF0000> un mot par ligne
</font>
<BR><B>Pour plus d'infos sur l'utilisation, voir 
<A TARGET=top HREF=http://www.squidguard.org/config/#Lists>http://www.squidguard.org/config/#Lists</A>
</font>

</form>
</body>
</html>
";


